#include <iostream>
using namespace std;

int main() {
    int n,l,tmp,glava=-1;
	cin >> n >> l;
	for (int i = 0; i < n; i++) {
		cin >> tmp;
		if (tmp <= l) {
			glava = i + 1;
			break;
		}
	}
	cout << glava;
	return 0;
}